Show / Hide Table of Contents

# Struct DutySlot

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct DutySlot

### Fields

| Improve this Doc View Source

#### addon

##### Declaration

    public AddonWeeklyBingo*addon

##### Field Value

Type | Description
--- | ---
AddonWeeklyBingo* |

| Improve this Doc View Source

#### DutyButton

##### Declaration

    public AtkComponentButton*DutyButton

##### Field Value

Type | Description
--- | ---
AtkComponentButton* |

| Improve this Doc View Source

#### DutyImage

##### Declaration

    public AtkImageNode*DutyImage

##### Field Value

Type | Description
--- | ---
AtkImageNode* |

| Improve this Doc View Source

#### DutyResNode

##### Declaration

    public AtkResNode*DutyResNode

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### index

##### Declaration

    public int index

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ResNode1

##### Declaration

    public AtkResNode*ResNode1

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### ResNode2

##### Declaration

    public AtkResNode*ResNode2

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### TextNode

##### Declaration

    public AtkTextNode*TextNode

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### vtbl

##### Declaration

    public void **vtbl

##### Field Value

Type | Description
--- | ---
System.Void** |